/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.aop.bean;



/**
 * Basic testing of AOP
 * 
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.14 $
 */
public interface AOPTesterMBean   
   extends org.jboss.system.ServiceMBean
{
   public void testAspect();
   public void testBasic();
   public void testExceptions();
   public void testInheritance(); 
   public void testMetadata(); 
   public void testDynamicInterceptors();
   public void testFieldInterception();
   public void testMethodInterception();
   public void testConstructorInterception();
   public void testMixin();
   public void testCallerPointcut();
}
